#329 ✓resolved
M Macht

Could not perform backup protocol version exchange, error code -6

Reported by M Macht | May 22nd, 2013 @ 12:45 PM | in 1.2.0 Release

I had installed libimobiledevice via git (1.1.6)

$ idevicebackup2 backup test Backup directory is "test"
Started "com.apple.mobilebackup2" service on port 52506.
Could not perform backup protocol version exchange, error code -6

Devices: iPad 1, iPad mini, iPhone 5 same Error
Same Error on Raspbian an Arch Linux on my Raspberry Pi

Comments and changes to this ticket

  • M Macht

    M Macht May 22nd, 2013 @ 02:42 PM

    <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd&quot;&gt;


    DLMessageProcessMessage SupportedProtocolVersions 2.000000 2.100000 MessageName Hello

    16:41:18 property_list_service.c:227 internal_plist_receive_timeout(): initial read=4
    16:41:18 property_list_service.c:236 internal_plist_receive_timeout(): 176 bytes following
    16:41:18 property_list_service.c:245 internal_plist_receive_timeout(): received 176 bytes
    16:41:18 property_list_service.c:259 internal_plist_receive_timeout(): printing 434 bytes plist:
    <?xml version="1.0" encoding="UTF-8"?>
    <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd&quot;&gt;


    DLMessageProcessMessage ErrorCode 1 ErrorDescription No common supported protocol version MessageName Response

    Could not perform backup protocol version exchange, error code -6
    16:41:18 lockdown.c:185 lockdownd_stop_session(): stopping session

  • Martin S.

    Martin S. July 1st, 2013 @ 04:03 PM

    • State changed from “new” to “open”
    • Tag set to idevicebackup2
    • Assigned user set to “Martin S.”

    It looks like the protocol version is not correct.
    Which iOS versions were in use on each of the devices?

  • Martin S.

    Martin S. September 6th, 2013 @ 02:39 PM

    • State changed from “open” to “resolved”
    • Tag changed from idevicebackup2 to idevicebackup2, protocol
    • Milestone set to 1.2.0 Release

    We are now at protocol version 3, thus this no longer applies and should work.

Please Sign in or create a free account to add a new ticket.

With your very own profile, you can contribute to projects, track your activity, watch tickets, receive and update tickets through your email and much more.

New-ticket Create new ticket

Create your profile

Help contribute to this project by taking a few moments to create your personal profile. Create your profile »

A project around supporting the iPhone in Linux.

See http://libimobiledevice.org

People watching this ticket

Pages